body {
    margin: 0;
    background: #050505;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    width: 90%;
    max-width: 420px;
    background: #111;
    padding: 40px;
    border-radius: 24px;
    text-align: center;
    box-shadow: 0 0 20px rgba(34, 197, 94, 0.25);

}

.logo {
    width: 120px;
    margin-bottom: 20px;

}

.login-banner{
    width:100%;
    max-width:300px;
    display:block;
    margin:auto;
}

h1 {
    margin: 0;
    color: #22C55E;

}

h2 {
    margin-top: 5px;
    margin-bottom: 30px;
    color: #999;
    font-weight: normal;

}

input {
    width: 100%;
    box-sizing: border-box;
    padding: 16px;
    border-radius: 12px;
    border: 1px solid #333;
    background: #0D0D0D;
    color: white;
    font-size: 18px;
    text-align: center;

}

button {
    width: 100%;
    margin-top: 20px;
    padding: 16px;
    border: none;
    border-radius: 12px;
    background: #16A34A;
    color: white;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;

}

button:hover {
    background: #22C55E;
}

#lastServer {
    margin-top: 20px;
    color: #999;
    font-size: 14px;
}

#wakeLockStatus {

    margin-top: 15px;

    color: #22C55E;

    font-size: 14px;

    opacity: 0.8;

}

#loadingScreen {

    display: none;

    position: fixed;

    top: 0;
    left: 0;

    width: 100%;
    height: 100dvh;

    background: #050505;

    justify-content: center;
    align-items: center;

    z-index: 99999;

}

.loading-content {

    text-align: center;

    color: white;

}

.loading-logo {

    width: 120px;

    margin-bottom: 20px;

}

.spinner {

    width: 60px;
    height: 60px;

    margin: 25px auto;

    border: 5px solid #333;

    border-top: 5px solid #22C55E;

    border-radius: 50%;

    animation: spin 1s linear infinite;

}

@keyframes spin {

    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }

}

#controllerContainer {

    display: none;

    position: fixed;

    top: 0;
    left: 0;

    width: 100%;
    height: 100dvh;

    background: #000;

    overflow: hidden;

}

#controllerFrame {

    width: 100%;

    height: 100%;

    border: none;

    display: block;

}

/* MOBILE */

@media screen and (max-width: 1000px) {

    .container {

        max-width: 380px;
        padding: 0px;

    }

    .logo {

        width: 100px;
        margin-bottom: 0px;

    }

    h1 {

        font-size: 20px;

    }

    h2 {

        font-size: 10px;
        margin-bottom: 15px;

    }

    input {

        width: 80%;

    }

    button {

        width: 80%;

    }

    .login-banner{

        max-width: 180px;
    }

}